Bug 477158 - Inkscape crashes when bitmap fonts are used in UI
Summary: Inkscape crashes when bitmap fonts are used in UI
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: inkscape
Version: 10
Hardware: i386
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-12-19 12:56 UTC by liang jian
Modified: 2009-01-21 21:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 480440 (view as bug list)
Environment:
Last Closed: 2009-01-21 21:37:33 UTC


Attachments (Terms of Use)
bug report created by bug buddy (397.73 KB, text/plain)
2008-12-19 12:58 UTC, liang jian
no flags Details
bug report with call stack information (21.92 KB, text/plain)
2008-12-20 03:50 UTC, liang jian
no flags Details
inkscape preferences xml file (16.47 KB, text/xml)
2009-01-13 10:43 UTC, liang jian
no flags Details
output of command "gconftool-2 --dump /desktop/gnome/interface" (5.14 KB, text/plain)
2009-01-13 10:44 UTC, liang jian
no flags Details

Description liang jian 2008-12-19 12:56:14 UTC
Description of problem:

    After I opened inkscape, nearly every action I made(draw any thing, select a tool or even rectangle-select in the page) will cause inkscape to crash. After crash, bug buddy can create a bug report for me, see attachment.

Version-Release number of selected component (if applicable):
inkscape-0.46-6.fc10.i386

How reproducible:


Steps to Reproduce:
1. open inkscape
2. add a new layer from menu
3. crash
  
Actual results:


Expected results:


Additional info:

Comment 1 liang jian 2008-12-19 12:58:06 UTC
Created attachment 327442 [details]
bug report created by bug buddy

Comment 2 Lubomir Rintel 2008-12-19 14:43:01 UTC
Thanks for the report.

Unfortunately, I can't read much from it. I'd be very thankful if you could install gdb and debugging symbols from inkscape -- that could make bug-buddy generate much more usable reports.

To do so, please run following (as root) and then try to reproduce the crash:
1.) "yum install gdb yum-utils"
2.) "debuginfo-install inkscape"

Comment 3 liang jian 2008-12-20 03:50:53 UTC
Created attachment 327522 [details]
bug report with call stack information

Comment 4 Lubomir Rintel 2009-01-09 12:00:17 UTC
Sorry for not responding for so long.

#8  font_instance::InitTheFace (this=0x0) at libnrtype/FontInstance.cpp:349
#9  0x083de8f0 in font_factory::Face (this=0x9bc01f8, descr=0x9d41900, 
    canFail=false) at libnrtype/FontFactory.cpp:820
#10 0x083deb52 in font_factory::Face (this=0x9bc01f8, descr=0x9d41900, 
    canFail=true) at libnrtype/FontFactory.cpp:797
#11 0x083df525 in font_factory::FaceFromPangoString (this=0x9bc01f8, 
    pangoString=0x9ecafd0 "Sans") at libnrtype/FontFactory.cpp:724

Seems like there's something wrong with "Sans" font.
Which font packages do you have installed?

Please run: "rpm -qa |grep font"

Comment 5 liang jian 2009-01-12 14:04:40 UTC
rpm -qa |grep font
lohit-fonts-hindi-2.3.1-1.fc10.noarch
thaifonts-scalable-0.4.9-3.fc9.noarch
texlive-texmf-errata-fonts-2007-4.fc9.noarch
lohit-fonts-tamil-2.3.1-1.fc10.noarch
lohit-fonts-oriya-2.3.1-1.fc10.noarch
fontconfig-2.6.0-3.fc10.i386
lohit-fonts-bengali-2.3.1-1.fc10.noarch
khmeros-fonts-base-5.0-3.fc10.noarch
urw-fonts-2.4-6.fc10.noarch
xorg-x11-fonts-misc-7.2-6.fc9.noarch
stix-fonts-0.9-7.fc10.noarch
fontconfig-devel-2.6.0-3.fc10.i386
cjkunifonts-ukai-0.2.20080216.1-10.fc10.noarch
smc-fonts-meera-04.1-1.fc10.noarch
xorg-x11-font-utils-7.2-6.fc10.i386
paktype-fonts-2.0-2.fc8.noarch
abyssinica-fonts-1.0-2.fc8.noarch
lohit-fonts-gujarati-2.3.1-1.fc10.noarch
texlive-texmf-fonts-2007-26.fc10.noarch
wqy-bitmap-fonts-0.9.9-6.fc10.noarch
libXfont-devel-1.3.3-1.fc10.i386
libfontenc-1.0.4-6.fc10.i386
libXfont-1.3.3-1.fc10.i386
libfontenc-devel-1.0.4-6.fc10.i386
dejavu-fonts-experimental-2.26-2.fc10.noarch
lklug-fonts-0.2.2-6.fc10.noarch
lohit-fonts-kannada-2.3.1-1.fc10.noarch
ghostscript-fonts-5.50-19.fc10.noarch
VLGothic-fonts-20081029-1.fc10.noarch
kacst-fonts-2.0-1.fc10.noarch
taipeifonts-1.2-5.fc9.noarch
padauk-fonts-2.4-2.fc10.noarch
lohit-fonts-maithili-2.3.1-1.fc10.noarch
liberation-fonts-1.04.92-1.fc10.noarch
un-core-fonts-dotum-1.0.2-0.6.080608.fc10.noarch
cjkunifonts-uming-0.2.20080216.1-10.fc10.noarch
lohit-fonts-punjabi-2.3.1-1.fc10.noarch
bitmap-fonts-0.3-6.fc10.noarch
dejavu-fonts-2.26-2.fc10.noarch
jomolhari-fonts-0.003-5.fc10.noarch
lohit-fonts-telugu-2.3.1-1.fc10.noarch

  I have resolved this problem by removing the package "wqy-bitmap-fonts-0.9.9-6.fc10.noarch",this package is a chinese font, I used it to display more beautiful chinese text, may be it will conflict with the text render mechanism in inkscape.
  Thank you for providing the suggestion for me.

Comment 6 Lubomir Rintel 2009-01-12 19:39:34 UTC
Thank you for your feedback

(In reply to comment #5)
>   I have resolved this problem by removing the package
> "wqy-bitmap-fonts-0.9.9-6.fc10.noarch",this package is a chinese font, I used
> it to display more beautiful chinese text, may be it will conflict with the
> text render mechanism in inkscape.

I still can not reproduce this.

Does the problem reappear when you install that package again?
Is installing the font sufficient to trigger the problem, or you have to do something more, such as choosing to font as default in GNOME or choosing it for Inkscape's Text tool or something like that?

Comment 7 Lubomir Rintel 2009-01-12 21:16:22 UTC
In case you'll be able to reproduce that after reinstalling the package, I'd be thankful if you could attach your Inkscape settings (~/.inkscape/preferences.xml file) and your appearance settings (output of "gconftool-2 --dump /desktop/gnome/interface" command)

Comment 8 liang jian 2009-01-13 10:43:09 UTC
Created attachment 328852 [details]
inkscape preferences xml file

Comment 9 liang jian 2009-01-13 10:44:22 UTC
Created attachment 328853 [details]
output of command "gconftool-2 --dump /desktop/gnome/interface"

Comment 10 liang jian 2009-01-13 10:45:51 UTC
    yes, I can reproduce this problem by reinstalling the package "wqy-bitmap-fonts-0.9.9-6.fc10.noarch". the files you required have been attached.

Comment 11 Lubomir Rintel 2009-01-13 17:00:20 UTC
I finally managed to reproduce it, which is good.
Just a note to self: A Chinese locale has to be activated: LC_ALL=zh_CN inkscape

Possible workaround is to switch to another locale (such as generic English):
$ LC_ALL=C inkscape

Comment 12 Fedora Update System 2009-01-13 22:57:29 UTC
inkscape-0.46-6.fc10.1 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/inkscape-0.46-6.fc10.1

Comment 13 liang jian 2009-01-14 00:26:28 UTC
    It's good to hear that. Thannks for all the efforts you have made to solve this problem :-)

Comment 14 Fedora Update System 2009-01-15 03:03:59 UTC
inkscape-0.46-6.fc10.1 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update inkscape'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0501

Comment 15 liang jian 2009-01-15 13:47:40 UTC
    I failed to update inkscape using command:
    yum --enablerepo=updates-testing update inkscape
    It said no package is marked as updated, then I download inkscape-0.46-6.fc10.1 directly from a fedora repository mirror, but encountered the following error when I installing the rpm package:

Error Type: <type 'exceptions.UnicodeDecodeError'>
Error Value: 'ascii' codec can't decode byte 0xe6 in position 57: ordinal not in range(128)
  File : /usr/lib/python2.5/site-packages/yum/rpmtrans.py, line 376, in callback
    self._instProgress( bytes, total, h )
  File : /usr/lib/python2.5/site-packages/yum/rpmtrans.py, line 457, in _instProgress
    self.complete_actions, self.total_actions)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2151, in event
    self._showName(self.info_actions[action])
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2144, in _showName
    self.base.package(package_id, status, self.curpkg.summary)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 235, in package
    PackageKitBaseBackend.package(self, package_id, status, summary)
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 109, in package
    print >> sys.stdout, "package\t$s\t$s\t$s" $ (status, package_id, summary)

Comment 16 Lubomir Rintel 2009-01-15 21:49:53 UTC
You can install the package from command line: rpm -Uvh "downloaded-file.rpm"

I'm still interested in how did you get the above backtrace. Which tool did you try to use to install the package? Can you reproduce the issue?

Comment 17 Lubomir Rintel 2009-01-15 21:56:13 UTC
Also, I'm wondering which locale (language setting) do you use? Obtain it with:
echo $LC_ALL

Comment 18 liang jian 2009-01-16 12:37:38 UTC
    I successfully installed the package "inkscape-0.46-6.fc10.1" by command line,and it works fine now.

    the backtrace above is displayed when I double click the file "inkscape-0.46-6.fc10.1.rpm" in desktop and after a few step, the error message is displayed in a dialog, I guess this is outputed by yum. I am curious about what's the difference between double click a rpm package to install it and type rpm xxx command in a terminal to install it.

    as for may locale:

LANG=zh_CN.UTF-8
LC_CTYPE="zh_CN.UTF-8"
LC_NUMERIC="zh_CN.UTF-8"
LC_TIME="zh_CN.UTF-8"
LC_COLLATE="zh_CN.UTF-8"
LC_MONETARY="zh_CN.UTF-8"
LC_MESSAGES="zh_CN.UTF-8"
LC_PAPER="zh_CN.UTF-8"
LC_NAME="zh_CN.UTF-8"
LC_ADDRESS="zh_CN.UTF-8"
LC_TELEPHONE="zh_CN.UTF-8"
LC_MEASUREMENT="zh_CN.UTF-8"
LC_IDENTIFICATION="zh_CN.UTF-8"
LC_ALL=

Comment 19 Lubomir Rintel 2009-01-17 11:03:05 UTC
I opened a separate ticket for the Package updating problem: bug #480440

Comment 20 Fedora Update System 2009-01-21 21:37:29 UTC
inkscape-0.46-6.fc10.1 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.